Package pygccxml :: Package declarations :: Module type_traits :: Class declaration_xxx_traits

# ClassType declaration_xxx_traits

source code

this class implements the functionality needed for convinient work with declaration classes

Implemented functionality:

- find out whether a declaration is a desired one
- get reference to the declaration

Instance Methods

__init__(self, declaration_class) | source code

is_my_case(self, type) returns True, if type represents the desired declaration, False otherwise | source code

get_declaration(self, type) returns reference to the declaration | source code

Class Variables
| sequence = `[remove_alias, remove_cv, remove_declarated]`

Method Details

### get_declaration(self, type)

source code

returns reference to the declaration

Precondition: self.is_my_case( type ) == True